﻿using System;
using System.Drawing;
using System.IO;

namespace PROS_Event_Client_Demo
{
    class modFunctions
    {
        internal enum UserTypes : int
        {
            NormalUser = 0,
            FunctionCards = 2
        }
        /// <summary>
        /// Convert byte array to image
        /// </summary>
        /// <param name="imgData"></param>
        /// <returns></returns>
        static internal Image fnImageFromBytes(byte[] imgData)
        {
            try
            {
                if ((imgData == null) == true || (imgData.Length == 0))
                {
                    return null;
                }
                MemoryStream ms = new System.IO.MemoryStream(imgData);
                Image img = Image.FromStream(ms);
                return img;
            }
            catch (Exception)
            {
                return null;
            }
        }
    }
}
