﻿
Public Class frmUsers
#Region "Variabli"
    Friend rowUserSelected As Data.DataRow     'momentalno izbran user
    Dim blnFormLoaded As Boolean
    Dim intUserType As Integer
    Public Sub New(UsersType As Integer)
        intUserType = UsersType
        ' This call is required by the designer.
        InitializeComponent()

        ' Add any initialization after the InitializeComponent() call.

    End Sub
#End Region

    Private Sub frmUsers_Load(ByVal sender As Object, ByVal e As System.EventArgs) Handles Me.Load
        If intUserType = UserTypes.NormalUser Then gbFunction.Visible = False
        Me.Cursor = Cursors.Default
        subLoadUsers()
    End Sub
    Private Sub subLoadUsers()
        Try
            Dim strUsersQuery As String = ""
            blnFormLoaded = False
            dgvUsers.Rows.Clear()
            Select Case intUserType
                Case UserTypes.NormalUser
                    strUsersQuery = "(FCard IN (0, 86))"
                Case UserTypes.FunctionCards
                    strUsersQuery = "(FCard IN (173, 202, 234, 240))"    'FOX
            End Select
            For Each row As Data.DataRow In frmMain.PROSClient.gdtUsers.Select(strUsersQuery)
                dgvUsers.Rows.Add(row("Name").ToString)
                dgvUsers.Rows(dgvUsers.Rows.Count - 1).Tag = row("RedBr").ToString
            Next
            dgvUsers.Sort(dgvUsers.Columns(0), ComponentModel.ListSortDirection.Ascending)
            blnFormLoaded = True
            dgvUsers_CellEnter(Nothing, Nothing)
        Catch ex As Exception
            Debug.Print(Now.TimeOfDay.ToString & " Error in frmUsers/subLoadUsers: " & ex.Message)
        End Try
    End Sub
    Private Sub dgvUsers_CellEnter(ByVal sender As Object, ByVal e As System.Windows.Forms.DataGridViewCellEventArgs) Handles dgvUsers.CellEnter
        If Not blnFormLoaded Then Exit Sub
        If dgvUsers.Rows.Count = 0 Then
            Select Case intUserType
                Case UserTypes.NormalUser
                    lblDepartmentName.Text = ""
                    picFoto.Image = Nothing
            End Select
            txtName.Clear()
        Else
            rowUserSelected = frmMain.PROSClient.gdtUsers.Rows.Find(CInt(dgvUsers.CurrentRow.Tag))
            txtName.Text = rowUserSelected("Name").ToString

            txtID.Text = rowUserSelected("ID").ToString
            If txtID.Text.Length = 0 Then txtID.Text = "0"
            txtID1.Text = rowUserSelected("ID1").ToString
            If txtID1.Text.Length = 0 Then txtID1.Text = "0"
            txtID2.Text = rowUserSelected("ID2").ToString
            If txtID2.Text.Length = 0 Then txtID2.Text = "0"
            txtID3.Text = rowUserSelected("ID3").ToString
            If txtID3.Text.Length = 0 Then txtID3.Text = "0"
            lblDateFrom.Text = CDate(rowUserSelected("Start")).ToString
            lblDateTo.Text = CDate(rowUserSelected("Stop")).ToString

            Select Case intUserType
                Case UserTypes.NormalUser
                    Dim rowD As Data.DataRow = frmMain.PROSClient.gdtDepartments.Rows.Find(CInt(rowUserSelected("Department")))
                    If rowD Is Nothing Then lblDepartmentName.Text = "" Else lblDepartmentName.Text = rowD("Name").ToString
                    If IsNothing(rowUserSelected("Foto")) OrElse IsDBNull(rowUserSelected("Foto")) Then
                        picFoto.Image = Nothing
                    Else
                        picFoto.Image = fnImageFromBytes(CType(rowUserSelected("Foto"), Byte()))
                    End If
                    For Each txtX As TextBox In gbTabDetails.Controls.OfType(Of TextBox)()
                        txtX.Text = rowUserSelected(txtX.Name).ToString
                    Next
                    For Each txtX As TextBox In gbTabDetails2.Controls.OfType(Of TextBox)()
                        txtX.Text = rowUserSelected(txtX.Name).ToString
                    Next
                Case UserTypes.FunctionCards
                    For Each rb As RadioButton In gbFunction.Controls.OfType(Of RadioButton)()
                        If CInt(rb.Tag) = CInt(rowUserSelected("FCard")) Then
                            rb.Checked = True
                            Exit For
                        End If
                    Next
            End Select

        End If
    End Sub

End Class
